%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_major}

Summary: GNOME Assistive Technology Service Provider Interface
Name: at-spi
Version: 1.18.0
Release: %mkrel 2
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: LGPL
Url: http://developer.gnome.org/projects/gap/
Group: Accessibility
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtk-doc >= 0.9
Buildrequires:	libbonobo2_x-devel >= 1.107.0
BuildRequires:  atk-devel >= 1.12.0
BuildRequires:	libgail-devel >= 1.3.0
BuildRequires:  perl-XML-Parser
BuildRequires:	libxtst-devel
#gw work around libtool dependancy problem
BuildRequires:	libsm-devel

%description
This is the Early Access Release of the Gnome Accessibility Project's
Assistive Technology Service Provider Interface.

%package -n %{lib_name}
Summary:	GNOME Assistive Technology Service Provider Interface
Group:		%{group}

Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}
Conflicts:	at-spi < 1.7.14-3mdv

%description -n %{lib_name}
This is the Early Access Release of the Gnome Accessibility Project's
Assistive Technology Service Provider Interface.

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for at-spi
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:   libbonobo2_x-devel
Requires:   libgail-devel

%description -n %{lib_name}-devel
This is the Early Access Release of the Gnome Accessibility Project's
Assistive Technology Service Provider Interface.


%prep
%setup -q

%build

%configure2_5x --enable-gtk-doc=yes

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.la \
  $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/*.la

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
  
%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS TODO 
%{_datadir}/idl/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.%{lib_major}*
%{_libexecdir}/at-spi-registryd
%{_libdir}/gtk-2.0/modules/*.so
%{_libdir}/orbit-2.0/*.so
%{_libdir}/bonobo/servers/*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.18.0-2mdv2007.1
+ Revision: 146571
- do not package big ChangeLog

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.18.0-1mdv2007.1
+ Revision: 141740
- new version

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 1.17.2-1mdv2007.1
+ Revision: 126865
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 1.17.1-1mdv2007.1
+ Revision: 125766
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 1.17.0-1mdv2007.1
+ Revision: 118934
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 1.7.16-1mdv2007.1
+ Revision: 111825
- new version

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1.7.15-1mdv2007.1
+ Revision: 105952
- new version

* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.14-3mdv2007.1
+ Revision: 102442
- Fix biarch
- Add conflicts to ease upgrade

* Thu Dec 28 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.14-2mdv2007.1
+ Revision: 102260
- Patch0 (CVS): fix crash in preferences dialog

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 1.7.14-1mdv2007.1
+ Revision: 98490
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.7.13-2mdv2007.1
+ Revision: 87924
- spec fix
- new version

* Thu Oct 12 2006 Götz Waschk <waschk@mandriva.org> 1.7.12-3mdv2006.0
+ Revision: 63781
- rebuild
- fix buildrequires
- Import at-spi




* Tue Oct 03 2006 Götz Waschk <waschk@mandriva.org> 1.7.12-1mdv2007.0
- New version 1.7.12

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 1.7.11-1mdv2007.0
- New release 1.7.11

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 1.7.10-1
- New release 1.7.10

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.9-4mdv2007.0
- Rebuild again with latest libgail

* Fri Jul 14 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.7.9-3
- add BuildRequires: libxtst-devel

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.9-2mdv2007.0
- Rebuild with latest libgail

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 1.7.9-1
- New release 1.7.9

* Mon Jul 10 2006 Gtz Waschk <waschk@mandriva.org> 1.7.8-1mdv2007.0
- bump  deps
- New release 1.7.8

* Wed Apr 26 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.7.7-2mdk
- Fix  BuildRequires using perl policy

* Tue Apr 18 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.7-1mdk
- Release 1.7.7

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6.6-3mdk
- Use mkrel

* Sat Jan 07 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.6.6-2mdk
- Rebuild

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.6-1mdk
- Release 1.6.6

* Wed May 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.4-1mdk
- New release 1.6.4

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.2-1mdk
- New release 1.6.2

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-1mdk
- New release 1.6.0

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-3mdk
- Enable libtoolize

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-2mdk
- Fix Buildrequires

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-1mdk
- New release 1.4.2

* Tue Apr  6 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- New release 1.4.0

* Wed Dec 31 2003 Stefan van der Eijk <stefan@eijk.nu> 1.3.9-3mdk
- remove versioned BuildRequires

* Wed Dec 31 2003 Stefan van der Eijk <stefan@eijk.nu> 1.3.9-2mdk
- BuildRequires intltool >= 0.28

* Fri Dec 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.9-1mdk
- Release 1.3.9

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.8-1mdk
- Release 1.3.8

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.7-1mdk
- Release 1.3.7

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.6-2mdk
- Fix BuildRequires 

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.6-1mdk
- Release 1.3.6

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.5-1mdk
- Release 1.3.5

* Tue Jun 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.4-1mdk
- Release 1.3.4
- remove patches 0 & 1 (merged upstream)

* Thu Jun 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-2mdk
- Patch0 (CVS): add missing headers
- Patch1 (CVS): don't use linc call, use CORBA directly.
- Rebuild against latest libbonobo

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-1mdk
- Release 1.3.2

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.1-1mdk
- Release 1.3.1
- Remove patch0 (merged upstream)

* Fri May 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.0-1mdk
- Release 1.3.0
- Patch0: fix build

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.9-1mdk
- Release 1.1.9
- Remove patch0 (merged upstream)

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.8-1mdk
- Release 1.1.8

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.6-1mdk
- Release 1.1.6

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.5-2mdk
- Patch0: lib64 awaaaaare'zification!

* Wed Nov 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-1mdk
- Release 1.1.5

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.2-1mdk
- Release 1.1.2

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Tue Jul 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Recompiled against gail 0.17

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Fix dependencies

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0
- Remove patch0 (merged upstream)

* Thu Apr 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-2mdk
- Patch0 (CVS): fix missing include

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1

* Mon Apr  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-1mdk
- Release 0.10.0
- Remove patch0 (merged upstream)

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.8-1mdk
- Initial Mdk package
- Patch0 (CVS): fix compilation with gtk+ 2.0.0


# end of file
